Bug 534564 - (RHQ-1349) resource.availability doesn't support "empty" and "not empty" syntax flavors
resource.availability doesn't support "empty" and "not empty" syntax flavors
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2009-01-13 06:20 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-01-13 06:20:00 EST
we should support:

"empty resource.availability"
"not empty resource.availability"

but current this will throw an exception in the logs and an error message will be displayed in the UI
Comment 1 Joseph Marques 2009-01-13 06:24:03 EST
rev2605 - support "empty" and "not empty" syntax flavors for resource.availability

test 1:
* create a new group definition
* edit the expression set and enter "not empty resource.availability"
* click save // this should succeed, previously it failed
* then, calculate the groups

expected results:
* one group for all resources that are either UP or DOWN resources (assuming any exist in inventory)

test 2:
* create a new group definition
* edit the expression set and enter "empty resource.availability"
* click save // this should succeed, previously it failed
* then, calculate the groups

expected results:
* one group for all resources that are *neither* UP or DOWN resources (assuming any exist in inventory [this can happen when a resource as been imported into the inventory, but an availability report hasn't been sent up to the server])

test 3:
* take the sum of the memberships in the 2 groups produced in test 1 and test 2.  ensure that the sum is equal to the total number of resources in your inventory.  note: the size of the inventory should NOT change during tests 1 and 2, otherwise you will not see the correct results in this test.
Comment 2 Jeff Weiss 2009-01-19 10:50:49 EST
Tested as specified, all tests passed.

rev2626 windows/oracle
Comment 3 Red Hat Bugzilla 2009-11-10 15:31:06 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1349

Note You need to log in before you can comment on or make changes to this bug.